From 03dd637e0dcb6e0b0d86eb1c53768902f0cf488e Mon Sep 17 00:00:00 2001
From: Jeff Davie <jeffrey.davie@nielsen.com>
Date: Thu, 30 Nov 2017 18:12:52 -0600
Subject: [PATCH] _common_ Add __ANDROID_API__

---
 config/android.config | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/config/android.config b/config/android.config
index ecdf98a..95d33b5 100644
--- a/config/android.config
+++ b/config/android.config
@@ -111,7 +111,7 @@ os.environ['CXXFLAGS'] = '-Wall -g -Os '
 os.environ['OBJCFLAGS'] = '-Wall -g -Os '
 
 ccache = use_ccache and 'ccache ' or ''
-defines = '-DANDROID -DPIC'
+defines = '-DANDROID -DPIC -D__ANDROID_API__=%s' % (v)
 cflags = '--sysroot=%s -I%s/usr/include -ffunction-sections -funwind-tables -fstack-protector -no-canonical-prefixes -fPIC' % (sysroot, sysroot)
 ldflags = '--sysroot=%s -fPIC -no-canonical-prefixes -Wl,-no-undefined -Wl,-z,noexecstack -Wl,-z,relro -Wl,-z,now -Wl,--gc-sections -Wl,-dynamic-linker,/system/bin/linker ' % (sysroot)
 if not target_arch in [Architecture.ARM64, Architecture.X86_64]:
-- 
2.7.4

